Subject: FVWM: [BUG:] pager crashing

From: Albrecht Kadlec <[email-masked]>
Date: Mon, 24 Feb 97 19:20:31 +0100

I have the following pager setup:

*FvwmPagerGeometry -1500-1500
*FvwmPagerBack #908090
*FvwmPagerFore #484048
*FvwmPagerHilight #cab3ca
#*FvwmPagerWindowColors normalFore normalBack hiFore hiBack

*FvwmPagerFont none
# -adobe-helvetica-bold-r-*-*-10-*-*-*-*-*-*-*
*FvwmPagerSmallFont 5x8
*FvwmPagerMiniIcons

As I defined MiniIcons, I commented out the SmallFont => the pager was very
instable.

It crashed with messages like:

X Error (intercepted): BadDrawable (invalid Pixmap or Window parameter)
Major Request Code   : 62
Minor Request Code   : 0
Resource ID (XID)    : 41943061
Error Serial Number  : 54625
X Error of failed request:  BadDrawable (invalid Pixmap or Window parameter)
  Major opcode of failed request:  65 (X_PolyLine)
  Resource id in failed request:  0x2c0000a
  Serial number of failed request:  662
  Current serial number in output stream:  669
X Error of failed request:  BadPixmap (invalid Pixmap parameter)
  Major opcode of failed request:  56 (X_ChangeGC)
  Resource id in failed request:  0x4d414749
  Serial number of failed request:  103
  Current serial number in output stream:  192
X Error of failed request:  BadPixmap (invalid Pixmap parameter)
  Major opcode of failed request:  56 (X_ChangeGC)
  Resource id in failed request:  0x10000b1
  Serial number of failed request:  253
  Current serial number in output stream:  307
FvwmButtons: Cause of next X Error.
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  12 (X_ConfigureWindow)
  Resource id in failed request:  0x2000002
  Serial number of failed request:  303
  Current serial number in output stream:  318

any ideas?

albrecht
-- 
Thought i oughta bare my naked feelings,
Thought i oughta tear the curtain down.
I held the blade in trembling hands,
Prepared to make it but just then the phone rang.
I never had the nerve to make the final cut.
					-- Pink Floyd, "The Final Cut"
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].